Bug 1293596 - [fork][userinterface_public_500]Can not attach pvc to pod from web console
[fork][userinterface_public_500]Can not attach pvc to pod from web console
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 05:33 EST by Yanping Zhang
Modified: 2016-05-12 13:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:12:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2015-12-22 05:33:36 EST
Description of problem:
After create pvc in project, try to attach it to pod from web console, it hangs there without info to show attaching succeeded or failed

Version-Release number of selected component (if applicable):
openshift v1.1-592-g6509034
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

fork_ami_openshift3_userinterface_public_500_158 

How reproducible:
Always

Steps to Reproduce:
1.Create pvc in project.
2.Create dc in project.
# oc run mytest --image=yapei/hello-openshift -n prozyp
3.Login web console.
4.Try to add the pvc on deployment config page:https://<serverhost>:8443/console/project/<projectname>/browse/deployments/<dcname>.
Click "Attach storage", input the needed info in the page, then click "Attach" 
5.Try to add the pvc on a deployment page: https://<serverhost>:8443/console/project/<projectname>/browse/deployments/<dcname>/<dcname>-1.
Click "Attach storage", input the needed info in the page, then click "Attach" 
6.Try to add the pvc on pod page by clicking into "Attach storage and redeploy", and  input the needed info in the page, then click "Attach"

Actual results:
4,5,6.After click "Attach", it hangs there without any info to show if attaching succeeded or failed. And check on pod page, no volumn is added.

Expected results:
4,5,6.Should attach successfully.

Additional info:
Attaching pvc from cli succeeds:
# oc volume dc/mytest --add -t pvc --claim-name myclaim-3 -n prozyp
info: Generated volume name: volume-e9it6
deploymentconfigs/mytest
Comment 1 Yanping Zhang 2015-12-23 05:18:47 EST
Tested on image: fork_ami_openshift3_userinterface_public_500_164
The bug has been fixed, once it is moved to ON_QA, will verify it.
Comment 2 Yanping Zhang 2015-12-24 04:43:51 EST
The bug has been fixed on fork_ami_openshift3_userinterface_public_500_164, so move it to verified.

Note You need to log in before you can comment on or make changes to this bug.